'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createJestTest;
function createJestTest(_ref) {
  var actions = _ref.actions;
  var imports = _ref.imports;
  var reducer = _ref.reducer;
  var equalityFunction = _ref.equalityFunction;

  var tests = actions.map(function (action, index) {
    return 'test(\'' + action.action.type + ' (action index ' + index + ') should correctly update state\', function() {\n    var action = actions[' + index + '];\n    var result = reducer(action.prevState, action.action);\n    expect(equality(result, action.nextState)).toBe(true);\n});\n';
  }).join('\n');
  return '/*jest style test */\n' + imports + '\n' + reducer + '\n\nvar equality = ' + equalityFunction + ';\nvar actions = ' + JSON.stringify(actions, null, 2) + ';\n\n' + tests + '\n';
}